cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alberto Mardegan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-9771) Installation of plugins' dependencies does not work
Date Fri, 09 Oct 2015 13:51:26 GMT

    [ https://issues.apache.org/jira/browse/CB-9771?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14950413#comment-14950413
] 

Alberto Mardegan commented on CB-9771:
--------------------------------------

Here's my suggested fix: https://github.com/apache/cordova-ubuntu/pull/15

> Installation of plugins' dependencies does not work
> ---------------------------------------------------
>
>                 Key: CB-9771
>                 URL: https://issues.apache.org/jira/browse/CB-9771
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Ubuntu
>    Affects Versions: 5.3.2
>         Environment: Linux 15.04, Cordova from the cordova-ubuntu PPA
>            Reporter: Alberto Mardegan
>            Assignee: Maxim Ermilov
>
> The mechanism for declaring plugin's dependencies is convoluted and currently broken.
The only plugin using it is the facebookconnect plugin, which is still not merged upstream,
and which doesn't successfully manage to install its dependencies.
> Instead of asking plugins to install yet another JSON file using non conventional elements
in plugin.xml, we should just use the <config-file> element and let plugins declare
dependencies with that.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message